import { App } from 'vue';
import Select from './Select';
import { SelectOption, SelectOptGroup } from 'ant-design-vue/es/select';
import config from './config';
Select.install = (app: App, options: any = {}) => {
  // 覆盖默认配置
  Object.assign(config.props, options.props);
  app.component(Select.name, Select);
  app.component(SelectOption.displayName, SelectOption);
  app.component(SelectOptGroup.displayName, SelectOptGroup);
  return app;
};
export { SelectOption, SelectOptGroup };
export default Select;
